Bug 61596 - Oops: Unable to handle kernel paging request at virtual address 4241393c (collect_sigign_sigcatch)
Oops: Unable to handle kernel paging request at virtual address 4241393c (col...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 18:23 EST by Andrew Vasquez
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 18:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Vasquez 2002-03-21 18:23:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
While running heavy I/O with RH72, QLogic FC driver 5.38.3, and 
2.4.9-enterprise and 2.4.9-21smp we are experiencing this ext3 kernel
bug.   

Topology:
	1 - Dell 2450 SMP machine
	1 - Dell 5450 SMP machine
	Each HBA connected to one zone (of two) of a Dell 56F.  
	A dual ported Dell PowerVault sits behind the switch (each port
			once again connected to a zone).

On March 5th, the following email was noted from the linux-kernel mailing-
list.  

	http://groups.google.com/groups?q=%2Bcollect_sigign_sigcatch+%
2Boops&hl=en&selm=linux.kernel.359000000.1015354460%40tiny.SOMEWHERE&rnum=3

I've tried the patch out, and have yet to run into this problem again.
In the latest SuSE patchset 2.4.19pre3-aa2, the patch was integrated, 
will it will be integrated into a subsequent RH kernel drop?



Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. <Description>
2.
3.
	

Additional info:

Ksymoops processed information:

ksymoops 2.4.1 on i686 2.4.9-21smp.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.9-21smp/ (default)
     -m /boot/System.map-2.4.9-21smp (default)

Warning: You did not tell me where to find symbol information.  I will
assume that the log matches the kernel and modules that are running
right now and I'll use the default options above for symbol resolution.
If the current kernel and/or modules do not match the log, you can get
more accurate output by telling me the kernel version and where to find
map, modules, ksyms etc.  ksymoops -h explains the options.

Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
Error (expand_objects): cannot stat(/lib/aic7xxx.o) for aic7xxx
Error (expand_objects): cannot stat(/lib/sd_mod.o) for sd_mod
Error (expand_objects): cannot stat(/lib/scsi_mod.o) for scsi_mod
Warning (read_object): no symbols in /lib/modules/2.4.9-21smp/build/abi/abi.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/addon/cipe/bf-i386.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/addon/addon.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/cdrom/driver.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/char/drm/drm.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/media/radio/radio.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/media/video/video.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/media/media.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/misc/misc.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/net/appletalk/appletalk.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/net/fc/fc.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/net/pcmcia/pcmcia_net.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/net/tokenring/tr.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/net/wan/wan.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/net/wireless/wireless_net.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/parport/driver.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/drivers/sound/sounddrivers.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/net/ipv4/netfilter/netfilter.o
Warning (read_object): no symbols in /lib/modules/2.4.9-
21smp/build/net/ipv6/netfilter/netfilter.o
Warning (compare_maps): ksyms_base symbol 
GPLONLY_pci_hp_change_slot_info_R__ver_pci_hp_change_slot_info not found in 
System.map.  Ignoring ksyms_base entry
Warning (compare_maps): ksyms_base symbol 
GPLONLY_pci_hp_deregister_R__ver_pci_hp_deregister not found in System.map.  
Ignoring ksyms_base entry
Warning (compare_maps): ksyms_base symbol 
GPLONLY_pci_hp_register_R__ver_pci_hp_register not found in System.map.  
Ignoring ksyms_base entry
Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base says 
c01c28d0, System.map says c01617d0.  Ignoring ksyms_base entry
Warning (compare_maps): mismatch on symbol usb_devfs_handle  , usbcore says 
d08ac520, /lib/modules/2.4.9-21smp/kernel/drivers/usb/usbcore.o says d08ac040.  
Ignoring /lib/modules/2.4.9-21smp/kernel/drivers/usb/usbcore.o entry
Warning (map_ksym_to_module): cannot match loaded module ext3 to a unique 
module object.  Trace may not be reliable.
Warning (map_ksym_to_module): cannot match loaded module jbd to a unique module 
object.  Trace may not be reliable.
Warning (map_ksym_to_module): cannot match loaded module aic7xxx to a unique 
module object.  Trace may not be reliable.
Warning (map_ksym_to_module): cannot match loaded module sd_mod to a unique 
module object.  Trace may not be reliable.
Warning (map_ksym_to_module): cannot match loaded module scsi_mod to a unique 
module object.  Trace may not be reliable.
Unable to handle kernel paging request at virtual address 4241393c
c015e6a0
*pde = 00000000
Oops: 0000
CPU:    1
EIP:    0010:[collect_sigign_sigcatch+64/112]    Not tainted
EIP:    0010:[<c015e6a0>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010202
eax: 42413938   ebx: ce0e1f40   ecx: 4241393c   edx: 00000001
esi: ce0e1f38   edi: 00000000   ebp: 00000000   esp: ce0e1f04
ds: 0018   es: 0018   ss: 0018
Process ps (pid: 6683, stackpage=ce0e1000)
Stack: 00000000 c6f68000 c015eb8f c6f68000 ce0e1f38
ce0e1f40 c6f68000 52000000 00008800 00000717 00000001
00000000 00000000 00000000 00000000 00000000 00000000
c967d040 000001ff c6f68000 c4da0000 c015cb7c c6f68000 c4da0000
Call Trace: [proc_pid_stat+255/656] proc_pid_stat [kernel] 0xff
Call Trace: [<c015eb8f>] proc_pid_stat [kernel] 0xff
[<c015cb7c>] proc_info_read [kernel] 0x4c
[<c013d966>] sys_read [kernel] 0x96
[<c013d375>] sys_open [kernel] 0x95
[<c010719b>] system_call [kernel] 0x33
Code: 8b 01 83 f8 01 75 09 8d 42 ff 0f ab 06 eb 0b 90 85 c0 74 06

>>EIP; c015e6a0 <collect_sigign_sigcatch+40/70>   <=====
Trace; c015eb8f <proc_pid_stat+ff/290>
Trace; c015cb7c <proc_info_read+4c/100>
Trace; c013d966 <sys_read+96/d0>
Trace; c013d375 <sys_open+95/e0>
Trace; c010719b <system_call+33/38>
Code;  c015e6a0 <collect_sigign_sigcatch+40/70>
00000000 <_EIP>:
Code;  c015e6a0 <collect_sigign_sigcatch+40/70>   <=====
   0:   8b 01                     mov    (%ecx),%eax   <=====
Code;  c015e6a2 <collect_sigign_sigcatch+42/70>
   2:   83 f8 01                  cmp    $0x1,%eax
Code;  c015e6a5 <collect_sigign_sigcatch+45/70>
   5:   75 09                     jne    10 <_EIP+0x10> c015e6b0 
<collect_sigign_sigcatch+50/70>
Code;  c015e6a7 <collect_sigign_sigcatch+47/70>
   7:   8d 42 ff                  lea    0xffffffff(%edx),%eax
Code;  c015e6aa <collect_sigign_sigcatch+4a/70>
   a:   0f ab 06                  bts    %eax,(%esi)
Code;  c015e6ad <collect_sigign_sigcatch+4d/70>
   d:   eb 0b                     jmp    1a <_EIP+0x1a> c015e6ba 
<collect_sigign_sigcatch+5a/70>
Code;  c015e6af <collect_sigign_sigcatch+4f/70>
   f:   90                        nop    
Code;  c015e6b0 <collect_sigign_sigcatch+50/70>
  10:   85 c0                     test   %eax,%eax
Code;  c015e6b2 <collect_sigign_sigcatch+52/70>
  12:   74 06                     je     1a <_EIP+0x1a> c015e6ba 
<collect_sigign_sigcatch+5a/70>


30 warnings and 5 errors issued.  Results may not be reliable.
Comment 1 Arjan van de Ven 2002-03-22 04:39:29 EST
patch looks correct. added.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.